For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Custom fonts
      • GETList custom fonts
      • GETGet custom font
      • POSTCreate custom font
      • PATCHUpdate custom font
      • PUTReplace custom font file
      • DELDelete custom font
      • POSTBatch delete custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Custom fontsCustom fonts

List custom fonts

GET
https://api.webflow.com/v2/sites/:site_id/custom_fonts
GET
/v2/sites/:site_id/custom_fonts
$curl -G https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/custom_fonts \
> -H "Authorization: Bearer <token>" \
> -d offset=0 \
> -d limit=100
1{
2 "customFonts": [
3 {
4 "id": "66f3a1b2c4d5e6f7a8b9c0d1",
5 "fontFamily": "Acme Sans",
6 "format": "woff2",
7 "fileName": "AcmeSans-Regular.woff2",
8 "weight": 400,
9 "italic": false,
10 "fontDisplay": "swap",
11 "axes": [
12 {
13 "tag": "wght",
14 "min": 100,
15 "max": 900,
16 "defaultValue": 400,
17 "name": "Weight"
18 }
19 ],
20 "hostedUrl": "https://uploads-ssl.webflow.com/6437e21619d24aff35b2e4f2/66f3a1b2-AcmeSans-Regular.woff2"
21 }
22 ],
23 "pagination": {
24 "limit": 100,
25 "offset": 0,
26 "total": 100
27 }
28}

List the custom fonts uploaded to a site.

Required scope | sites:read

Was this page helpful?
Previous

Get custom font

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

offsetintegerOptional
Offset used for pagination if the results have more than limit records
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

Response

Request was successful
customFontslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error